﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace DataBinding
{

    public partial class MainPage : PhoneApplicationPage
    {
        Random rand = new Random();

        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler( MainPage_Loaded );
        }

        void MainPage_Loaded( object sender, RoutedEventArgs e )
        {
            SetDataContext();
        }

        private void SetDataContext()
        {
            ContentPanel.DataContext = GeneratePerson();
        }

        private object GeneratePerson()
        {
            var newPerson = new Person
            {
                Beard = FlipCoin(),
                Favorite = FlipCoin(),
                Goatee = FlipCoin(),
                Height = String.Format( "{0:F2}", rand.NextDouble() + 1 ),
                Moustache = FlipCoin(),
                Name = firstNames[rand.Next( 0, firstNames.Count - 1 )] + " " +
                    lastNames[rand.Next( 0, lastNames.Count - 1 )]

            };
            return newPerson;
        }

        private bool FlipCoin()
        {
            return rand.Next( 1, 3 ) % 2 == 0; 
        }

        private readonly List<string> firstNames = new List<string>()
                          {
                             "Adam",
                             "Barry",
                             "Charles",
                             "David",
                             "Edgar",
                             "Frank",
                             "George",
                             "Harry",
                             "Irving",
                             "Jesse",
                             "Keith",
                             "Larry",
                             "Mark",
                             "Nigel",
                             "Oscar",
                             "Pete",
                             "Quentin",
                             "Robert",
                             "Sam",
                             "Thomas"
                          };
        private readonly List<string> lastNames = new List<String>()
      {
         "Aaronson",
         "Baker",
         "Corlione",
         "Davidson",
         "Esterbrook",
         "Franklin",
         "Gregory",
         "Harrison",
         "Ivanovich",
         "Jenkelson",
         "Kingston",
         "Liberty",
         "Marx",
         "Nicholson",
         "Peterson"
      };





    }
}
